## libspring-2.5-java 2.5.6.SEC02

=== debian/changelog ===
libspring-2.5-java (2.5.6.SEC02-8) unstable; urgency=low

  [ Miguel Landaeta ]
  * Team upload.
  * Fix FTBFS by adding a patch that provides compatibility with Velocity 1.7.
    (Closes: #655808).
  * Fix several lintian warnings in copyright file.

  [ Damien Raude-Morvan ]
  * Add DM-Upload-Allowed flag for Miguel Landaeta.

 -- Damien Raude-Morvan <drazzib@debian.org>  Sat, 14 Jan 2012 23:41:47 +0100

libspring-2.5-java (2.5.6.SEC02-7) unstable; urgency=low

  * Build-Depends and Recommends libapache-poi-java instead of
    libjakarta-poi-java
  * d/patches/20_jasperreports41.diff: Fix FTBFS with latest jasperreports.

 -- Damien Raude-Morvan <drazzib@debian.org>  Wed, 21 Sep 2011 14:41:13 +0200

libspring-2.5-java (2.5.6.SEC02-6) unstable; urgency=low

  * Since JRuby is now in main, re-enable it in libspring-context-2.5-java.

 -- Damien Raude-Morvan <drazzib@debian.org>  Tue, 20 Sep 2011 18:53:29 +0200

libspring-2.5-java (2.5.6.SEC02-5) unstable; urgency=low

  [ Torsten Werner ]
  * Replace quartz-all.jar by quartz.jar.

  [ Miguel Landaeta ]
  * Add patch quartz_17.diff. (Closes: #638400).

  [ Damien Raude-Morvan ]
  * Upload to unstable.

 -- Damien Raude-Morvan <drazzib@debian.org>  Sat, 20 Aug 2011 13:28:44 +0200

libspring-2.5-java (2.5.6.SEC02-4) unstable; urgency=low

  * B-D and Suggests libaspectj-java instead of aspectj (ie. so no JRE
    in dependencies graph).
  * Bump Standards-Version to 3.9.2 (no changes needed).
  * d/patches/18_hibernate_36.diff: Fix FTBFS with Hibernate 3.6 by backporting
    some code from libspring-java 3.x (Closes: #625987).

 -- Damien Raude-Morvan <drazzib@debian.org>  Sun, 08 May 2011 01:35:24 +0200

libspring-2.5-java (2.5.6.SEC02-3) unstable; urgency=low

  * d/control: Drop all Depends on JRE packages since libspring-*-java
    are libraries (conform to latest Debian Java Policy).
  * d/patches/17_velocitytools2.diff: New patch to drop old code needed
    only for (really) old velocity-tools. Fix FTBFS (Closes: #617868).

 -- Damien Raude-Morvan <drazzib@debian.org>  Mon, 14 Mar 2011 20:25:26 +0100

libspring-2.5-java (2.5.6.SEC02-2) unstable; urgency=low

  [ Miguel Landaeta ]
  * Remove nonexistant B-D on libhibernate-entitymanager-java. (Closes: #593028).
  * Bump Standards-Version to 3.9.1. No changes were needed.

  [ Damien Raude-Morvan ]
  * Upload to unstable.

 -- Damien Raude-Morvan <drazzib@debian.org>  Mon, 16 Aug 2010 11:58:34 +0200

libspring-2.5-java (2.5.6.SEC02-1) unstable; urgency=high

  [ Miguel Landaeta ]
  * Enable support for JavaServer Faces API. (Closes: #587835).
  * Bump Standards-Version to 3.9.0. No changes were needed.

  [ Damien Raude-Morvan ]
  * New upstream security release (hence urgency=high)
    - [SECURITY] Include fix for CVE-2010-1622:
      Spring Framework execution of arbitrary code
  * Enable support for Hessian API.
    - Add B-D on libhessian-java
  * Enable support for CommonJ API.
    - Add B-D on libgeronimo-commonj-spec-java
  * Enable support for JPA 1.0 API.
    - Add B-D on libhibernate-entitymanager-java, libeclipselink-java
      and libopenjpa-java

 -- Damien Raude-Morvan <drazzib@debian.org>  Thu, 08 Jul 2010 01:28:57 +0200

libspring-2.5-java (2.5.6.SEC01-10) unstable; urgency=low

  [ Onkar Shinde ]
  * asm2 -> asm3 transition.
  * Build a new package libspring-aspects-2.5-java and include
    spring-aspects.jar file in it. This is needed to build xwork2.
    (Closes: #582510)

  [ Damien Raude-Morvan ]
  * Upload to unstable
  * Describe asm2 -> asm3 transition in d/README.Debian and in
    d/patches/15_fix_build_with_asm3.diff  

 -- Damien Raude-Morvan <drazzib@debian.org>  Wed, 16 Jun 2010 21:17:02 +0200

libspring-2.5-java (2.5.6.SEC01-9) unstable; urgency=low

  [ Miguel Landaeta ]
  * Enable support for Portlet API. (Closes: #578718).

  [ Damien Raude-Morvan ]
  * Upload to unstable.

 -- Damien Raude-Morvan <drazzib@debian.org>  Mon, 26 Apr 2010 22:53:11 +0200

libspring-2.5-java (2.5.6.SEC01-8) unstable; urgency=low

  * New libspring-webmvc-struts-2.5-java binary package
    for webmvc-struts.jar. (Closes: #570533)
    Thanks to Arnaud Fontaine <arnau@debian.org>
  * Fix debian/watch to track upstream 2.x releases from
    spring-maintenance SVN tags.
    Thanks to Per Wawra <debian.perfide@safersignup.com>.
  * Replace B-D/D on glassfish-appserv by glassfish-javaee since
    glassfish-appserv-jstl.jar is now in glassfish-appserv.
  * Standards-Version to 3.8.4.
  * Source format 3.0 (quilt).
  * Move package duty under Debian Java Maintainers umbrella
    and add myself to Uploaders.
  * Disable JRuby scripting module and remove B-D since jruby Debian
    package has moved to non-free archive.

 -- Damien Raude-Morvan <drazzib@debian.org>  Fri, 26 Feb 2010 20:26:51 +0100

libspring-2.5-java (2.5.6.SEC01-7) unstable; urgency=low

  * Fix compat with tiles 2.2.1 (split of modules)
    - Build-Depends on libtiles-java >= 2.2.1
    - Fix debian/classpath-debian
  * Upgrade debian/copyright to DEP5
  * Bump debhelper version to >= 7
    - Replace dh_clean -k by dh_prep
    - Refactor debian/rules by using "dh"
  * Maven POMs:
    - Add a Build-Depends-Indep dependency on maven-repo-helper
    - Use mh_installpoms and mh_installjar to install the POM and the jar to the
      Maven repository
    - Remove useless debian/*.{links,install} files
    - debian/poms/*.xml: Debian crafted pom.xml files
    - debian/rules: new get-orig-pom to update debian/poms/*.xml at new upstream
      release.
  * Replace Depends and Build-Depends on "jruby1.2" by "jruby" (1.4)
  * Switch to quilt as patch system
    - Build-Depends on quilt and remove dpatch
    - Rewrite debian/README.source
    - Use dh --with quilt

 -- Damien Raude-Morvan <drazzib@debian.org>  Sat, 12 Dec 2009 15:03:37 +0100

libspring-2.5-java (2.5.6.SEC01-6) unstable; urgency=low

  * New 13_tiles_22 patch for compatibility with Tiles 2.2
    - Describe this change in README.Debian

