=== debian/control ===
Source: libspring-2.5-java
Section: java
Priority: extra
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Schildbach <debian.org@schildbach.de>, Damien Raude-Morvan <drazzib@debian.org>
Build-Depends: debhelper (>= 7.0.50~), ant, openjdk-6-jdk
Build-Depends-Indep: libcommons-logging-java, libcommons-attributes-java (>= 2.2-4), libaopalliance-java,
 libjamon-java, libcommons-pool-java, libcommons-collections3-java, libbackport-util-concurrent-java, libasm3-java,
 libc3p0-java, libgnumail-java, libjdo-api-java, libcommons-httpclient-java, libaxis-java, groovy,
 libfreemarker-java, velocity, liblog4j1.2-java, libcommons-fileupload-java,
 libapache-poi-java, libjexcelapi-java, libitext-java, libstruts1.2-java, libdom4j-java,
 libcglib-java, bsh, glassfish-javaee, libqdox-java, libjarjar-java,
 libhibernate3-java (>= 3.5), libhibernate-commons-annotations-java, libhibernate-annotations-java,
 libehcache-java, libibatis-java, libquartz-java, libxapool-java, libtiles-java (>= 2.2.1), libvelocity-tools-java,
 glassfish-toplink-essentials, libtomcat6-java, junit4 (>= 4.5), testng, libaspectj-java (>= 1.6.4), libjasperreports-java,
 maven-repo-helper, libportlet-api-2.0-spec-java, libjsf-api-java, libhessian-java, libgeronimo-commonj-spec-java,
 libeclipselink-java, libopenjpa-java, jruby
Standards-Version: 3.9.2
Homepage: http://springframework.org/about
Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/libspring-2.5-java/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/libspring-2.5-java/
DM-Upload-Allowed: yes

Package: libspring-core-2.5-java
Architecture: all
Depends: ${misc:Depends}, libasm3-java, libcommons-collections3-java, libcommons-logging-java, liblog4j1.2-java, libbackport-util-concurrent-java
Recommends: libcommons-attributes-java
Description: modular Java/J2EE application framework - Core
 Spring is a layered Java/J2EE application framework offering a lot of freedom
 to Java developers yet providing well documented and easy-to-use solutions for
 common practices in the industry.
 .
 This package provide spring-core.jar : Core abstractions and utilities,
 source-level metadata support.

Package: libspring-beans-2.5-java
Architecture: all
Depends: ${misc:Depends}, libspring-core-2.5-java, libcglib-java
Description: modular Java/J2EE application framework - Beans
 Spring is a layered Java/J2EE application framework offering a lot of freedom
 to Java developers yet providing well documented and easy-to-use solutions for
 common practices in the industry.
 .
 This package provide spring-beans.jar : JavaBeans support and bean container.

Package: libspring-aop-2.5-java
Architecture: all
Depends: ${misc:Depends}, libspring-core-2.5-java, libjamon-java, libcommons-pool-java
Recommends: libaopalliance-java, libaspectj-java
Description: modular Java/J2EE application framework - AOP
 Spring is a layered Java/J2EE application framework offering a lot of freedom
 to Java developers yet providing well documented and easy-to-use solutions for
 common practices in the industry.
 .
 This package provide spring-aop.jar : Aspect-oriented programming framework.

Package: libspring-context-2.5-java
Architecture: all
Depends: ${misc:Depends}, libspring-beans-2.5-java
Recommends: libspring-aop-2.5-java, glassfish-javaee
Suggests: jruby, bsh, groovy
Description: modular Java/J2EE application framework - Context
 Spring is a layered Java/J2EE application framework offering a lot of freedom
 to Java developers yet providing well documented and easy-to-use solutions for
 common practices in the industry.
 .
 This package provide spring-context.jar : application context, JNDI, JMX,
 instrumentation, remoting, scripting, scheduling and validation

Package: libspring-context-support-2.5-java
Architecture: all
Depends: ${misc:Depends}, libspring-context-2.5-java
Recommends: libspring-aop-2.5-java, libspring-jdbc-2.5-java, libquartz-java, libjasperreports-java, libehcache-java, libfreemarker-java, velocity,
 libgeronimo-commonj-spec-java
Description: modular Java/J2EE application framework - Context Support
 Spring is a layered Java/J2EE application framework offering a lot of freedom
 to Java developers yet providing well documented and easy-to-use solutions for
 common practices in the industry.
 .
 This package provide spring-context-support.jar : Quartz/CommonJ scheduling,
 UI templating, mail and caching

Package: libspring-web-2.5-java
Architecture: all
Depends: ${misc:Depends}, libspring-context-2.5-java
Recommends: libstruts1.2-java, libcommons-httpclient-java, libaxis-java, libjsf-api-java, libhessian-java
Suggests: glassfish-javaee
Description: modular Java/J2EE application framework - Web
 Spring is a layered Java/J2EE application framework offering a lot of freedom
 to Java developers yet providing well documented and easy-to-use solutions for
 common practices in the industry.
 .
 This package provide spring-web.jar : web application context, multipart
 resolver, HTTP-based remoting support

Package: libspring-webmvc-2.5-java
Architecture: all
Depends: ${misc:Depends}, libspring-web-2.5-java
Recommends: libspring-context-support-2.5-java, libvelocity-tools-java, libjasperreports-java, libtiles-java, libitext-java, libjexcelapi-java, libapache-poi-java
Description: modular Java/J2EE application framework - MVC
 Spring is a layered Java/J2EE application framework offering a lot of freedom
 to Java developers yet providing well documented and easy-to-use solutions for
 common practices in the industry.
 .
 This package provide spring-webmvc.jar : framework servlets, web MVC framework,
 web controllers, web views for JSP, Velocity, Tiles, iText and POI

Package: libspring-webmvc-struts-2.5-java
Architecture: all
Depends: ${misc:Depends}, libspring-webmvc-2.5-java, libstruts1.2-java
Description: modular Java/J2EE application framework - Struts MVC
 Spring is a layered Java/J2EE application framework offering a lot of freedom
 to Java developers yet providing well documented and easy-to-use solutions for
 common practices in the industry.
 .
 This package provide spring-webmvc-struts.jar : integrate a Struts
 application with Spring

Package: libspring-webmvc-portlet-2.5-java
Architecture: all
Depends: ${misc:Depends}, libspring-webmvc-2.5-java, libportlet-api-2.0-spec-java, libcommons-fileupload-java
Description: modular Java/J2EE application framework - Portlet MVC
 Spring is a layered Java/J2EE application framework offering a lot of freedom
 to Java developers yet providing well documented and easy-to-use solutions for
 common practices in the industry.
 .
 This package provide spring-webmvc-portlet.jar : support development of Portlet
 applications with Spring

Package: libspring-test-2.5-java
Architecture: all
Depends: ${misc:Depends}, libspring-core-2.5-java
Recommends: junit4 (>= 4.5), testng
Description: modular Java/J2EE application framework - Test helpers
 Spring is a layered Java/J2EE application framework offering a lot of freedom
 to Java developers yet providing well documented and easy-to-use solutions for
 common practices in the industry.
 .
 This package provide spring-test.jar : unit-testing helpers and mock
 classes

Package: libspring-tx-2.5-java
Architecture: all
Depends: ${misc:Depends}, libspring-core-2.5-java
Recommends: libspring-aop-2.5-java, libspring-context-2.5-java, glassfish-javaee
Description: modular Java/J2EE application framework - transaction
 Spring is a layered Java/J2EE application framework offering a lot of freedom
 to Java developers yet providing well documented and easy-to-use solutions for
 common practices in the industry.
 .
 This package provide spring-tx.jar : transaction infrastructure, JCA support,
 DAO support

Package: libspring-jdbc-2.5-java
Architecture: all
Depends: ${misc:Depends}, libspring-beans-2.5-java, libspring-tx-2.5-java, libc3p0-java
Description: modular Java/J2EE application framework - JDBC tools
 Spring is a layered Java/J2EE application framework offering a lot of freedom
 to Java developers yet providing well documented and easy-to-use solutions for
 common practices in the industry.
 .
 This package provide spring-jdbc.jar : Java DataBase Connectivity support

Package: libspring-jms-2.5-java
Architecture: all
Depends: ${misc:Depends}, libspring-beans-2.5-java, libspring-tx-2.5-java, glassfish-javaee
Description: modular Java/J2EE application framework - JMS tools
 Spring is a layered Java/J2EE application framework offering a lot of freedom
 to Java developers yet providing well documented and easy-to-use solutions for
 common practices in the industry.
 .
 This package provide spring-jms.jar : Java Message Service 1.0.2/1.1 support

Package: libspring-orm-2.5-java
Architecture: all
Depends: ${misc:Depends}, libspring-jdbc-2.5-java
Recommends: libspring-web-2.5-java, libjdo-api-java, glassfish-toplink-essentials, libibatis-java, libhibernate3-java, libhibernate-commons-annotations-java, libhibernate-annotations-java,
 libeclipselink-java, libopenjpa-java
Description: modular Java/J2EE application framework - ORM tools
 Spring is a layered Java/J2EE application framework offering a lot of freedom
 to Java developers yet providing well documented and easy-to-use solutions for
 common practices in the industry.
 .
 This package provide spring-orm.jar : JDO support, JPA support, Hibernate
 support, TopLink support, iBATIS support

Package: libspring-aspects-2.5-java
Architecture: all
Depends: ${misc:Depends}
Description: modular Java/J2EE application framework - Bundled aspects
 Spring is a layered Java/J2EE application framework offering a lot of freedom
 to Java developers yet providing well documented and easy-to-use solutions for
 common practices in the industry.
 .
 This package provide spring-aspects.jar.
