=== debian/rules ===
#!/usr/bin/make -f

PACKAGE := $(shell dpkg-parsechangelog | grep '^Source:' | cut -f 2 -d ' ')
VERSION := $(shell dpkg-parsechangelog | grep '^Version:' | cut -f 2 -d ' ' | sed 's/-[^-]*$$//')

POM_VERSION := 2.5.6
MAVEN_REPO  := http://repository.sonatype.org/service/local/repositories/central/content

MODULES = aop beans context context-support core jdbc jms orm test tx web webmvc \
	webmvc-struts webmvc-portlet
WEAVINGS = aspects

JAVA_HOME       := /usr/lib/jvm/default-java
ANT             := CLASSPATH=/usr/share/java/jarjar.jar JAVA_HOME=$(JAVA_HOME) ant

%:
	dh $@ --buildsystem=ant

override_dh_auto_clean:
	$(ANT) clean
	mh_clean

override_dh_auto_build:
	$(ANT) alljars

override_dh_auto_install:
	for MYMOD in $(MODULES); do \
		BASENAME=`echo spring-$$MYMOD-2.5`; \
		JAR=`echo dist/modules/spring-$$MYMOD.jar`; \
		POM=`echo debian/poms/$$BASENAME.xml`; \
		PACKAGE=`echo lib$$BASENAME-java`; \
		mh_installpom -p$$PACKAGE $$POM ; \
		mh_installjar -p$$PACKAGE -nspring-$$MYMOD -i2.5 -l $$POM $$JAR ; \
	done
	for MYWEAVING in $(WEAVINGS); do \
		BASENAME=`echo spring-$$MYWEAVING-2.5`; \
		JAR=`echo dist/weaving/spring-$$MYWEAVING.jar`; \
		POM=`echo debian/poms/$$BASENAME.xml`; \
		PACKAGE=`echo lib$$BASENAME-java`; \
		mh_installpom -p$$PACKAGE $$POM ; \
		mh_installjar -p$$PACKAGE -nspring-$$MYWEAVING -i2.5 -l $$POM $$JAR ; \
	done

# Make a Debian version of upstream tarball
# Details given in README.source
get-orig-source:
	wget -O ../spring-framework.zip http://s3.amazonaws.com/dist.springframework.org/release/SPR/spring-framework-${VERSION}-with-dependencies.zip
	mkdir orig_tmp
	(cd orig_tmp && \
	unzip ../../spring-framework.zip && \
	cd spring-framework-${VERSION} && ant clean && cd .. && \
	rm -r spring-framework-${VERSION}/lib && \
	mv spring-framework-${VERSION} ${PACKAGE} && \
	tar -czf ../../${PACKAGE}_${VERSION}.orig.tar.gz ${PACKAGE})
	rm -rf orig_tmp


get-orig-pom:
	for MYMOD in $(MODULES); do \
		BASENAME=`echo spring-$$MYMOD-2.5`; \
		POM=`echo debian/poms/$$BASENAME.xml`; \
		wget -O $$POM $(MAVEN_REPO)/org/springframework/spring-$$MYMOD/$(POM_VERSION)/spring-$$MYMOD-$(POM_VERSION).pom; \
	done
	for MYWEAVING in $(WEAVINGS); do \
		BASENAME=`echo spring-$$MYWEAVING-2.5`; \
		POM=`echo debian/poms/$$BASENAME.xml`; \
		wget -O $$POM $(MAVEN_REPO)/org/springframework/spring-$$MYWEAVING/$(POM_VERSION)/spring-$$MYWEAVING-$(POM_VERSION).pom; \
	done
	perl -p -i -e 's/<version>$(POM_VERSION)/<version>$(VERSION)/' debian/poms/*.xml
