=== debian/watch ===
version=3
opts=uversionmangle=s/-rc/~rc/;s/\-/\./g \
     https://src.springframework.org/svn/spring-maintenance/tags/ \
        release-(.+)/
